org.springframework.cloud.dataflow.server.service.impl

## Class DefaultTaskSaveService

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.DefaultTaskSaveService

- All Implemented Interfaces:
    TaskSaveService

      public class DefaultTaskSaveService
      extends Object
      implements TaskSaveService

  Default implementation of the `DefaultTaskSaveService` interface. Provide service methods for Task saving.
  Author:
    Michael Minella, Marius Bogoevici, Glenn Renfro, Mark Fisher, Janne Valkealahti, Gunnar Hillert, Thomas Risberg, Ilayaperumal Gopinathan, Michael Wirth, David Turanski, Daniel Serleg, Chris Schaefer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.springframework.cloud.dataflow.audit.service.AuditRecordService` | `auditRecordService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTaskSaveService(TaskDefinitionRepository taskDefinitionRepository, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService, AppRegistryService registry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `saveTaskDefinition(TaskDefinition taskDefinition)` Saves the task definition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### auditRecordService

          protected final org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService

  - ### Constructor Detail

    - #### DefaultTaskSaveService

          public DefaultTaskSaveService(TaskDefinitionRepository taskDefinitionRepository,
                                        org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService,
                                        AppRegistryService registry)

  - ### Method Detail

    - #### saveTaskDefinition

          @Transactional
          public void saveTaskDefinition(TaskDefinition taskDefinition)

      Description copied from interface: `TaskSaveService`
      Saves the task definition. If it is a Composed Task then the task definitions required for a ComposedTaskRunner task are also created.
      Specified by:
        `saveTaskDefinition` in interface `TaskSaveService`
      Parameters:
        `taskDefinition` - the task definition object

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.